Skip to main content
POST
Update shipping address

Authorizations

Authorization
string
header
required

Authenticate using a bearer token. To create a token, navigate to /settings/api-tokens and click Create API Token.

Path Parameters

companyId
integer
required

The unique identifier of the company

shippingAddressId
integer
required

The unique identifier of the shipping address

Body

application/json
address_1
string | null

Street address

Maximum string length: 255
Example:

"456 Warehouse Blvd"

address_2
string | null

Additional address information

Maximum string length: 255
Example:

"Building 2"

city
string | null

City

Maximum string length: 255
Example:

"Austin"

state
string | null

State/province

Maximum string length: 255
Example:

"TX"

country
string | null

Country

Maximum string length: 255
Example:

"USA"

zip
string | null

Postal/ZIP code

Maximum string length: 255
Example:

"78745"

first_name
string | null

First name of the contact person

Maximum string length: 255
Example:

"John"

last_name
string | null

Last name of the contact person

Maximum string length: 255
Example:

"Doe"

email
string<email> | null

Email address

Maximum string length: 255
Example:

"shipping@acmecorp.com"

phone
string | null

Phone number

Maximum string length: 255
Example:

"555-987-6543"

is_default
boolean | null

Whether this is the default shipping address. If set to true, all other shipping addresses for this company will be set to non-default.

Example:

true

Response

Shipping address successfully updated

data
object